using Toybox.Graphics as Gfx;
using Toybox.Math as Math;

using C as C;

class Hand
{

    var length;
    var width;
    var color;
    var vert = new [5];

    public function initialize(length, width, color)
    {

        me.length = length;
        me.width = width;
        me.color = color;

        var w2 = width / 2;
        var w3 = width / 2.4;
        var mid = length * 0.6;
        vert[0] = [ -w2, 0 ];
        vert[1] = [ -w2 - w3, -mid ];
        vert[2] = [ 0, -length ];
        vert[3] = [ +w2 + w3, -mid ];
        vert[4] = [ +w2, 0 ];
    }

    public function show(dc, val, max, abbr)
    {

        C.set_fill(dc, color);
        var h = dc.getFontHeight(Gfx.FONT_TINY);
        if (abbr) {
            dc.drawText(C.center_x, C.center_y - C.dot_sz - h, Gfx.FONT_XTINY, abbr, Gfx.TEXT_JUSTIFY_CENTER);
        }
        val *= C.ccw;
        var a = (((Math.PI * 2) * val) / max) + (Math.PI/2);
        var v = C.translate(vert, C.center_x, C.center_y, a);
        dc.fillPolygon(v);
    }
}
